cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
3833
Views
10
Helpful
30
Replies
Highlighted
Beginner

I have tried this with 2

I have tried this with 2 identical WLC controllers and both arent able to load the new image. I uploaded 8.2 as a backup image but that doesnt boot too. 

Now i have 2 WLC, one that has 8.3 as primary and 8.2 as backup and none of them boots. The other WLC has 8.3 as primary and 8.0 as backup and 8.0 is working fine so Im not playing with that any further.

Isnt DTLS related to messages between controller and AP? CF card cant be broken on both the WLCs.

Any suggestions please? I have a third WLC for testing further.

Highlighted
VIP Advocate

I just realized there isn't a

I just realized there isn't a non-encryption image for this hardware.

Checked the FUS again, you should really upgrade it to 2.0. Found this bug: https://bst.cloudapps.cisco.com/bugsearch/bug/CSCuu46671

Also the release notes state this:

http://www.cisco.com/c/en/us/td/docs/wireless/controller/release/notes/crn82mr4.html

WLC Controller Model
Recommended FUS Version

2504

2.0, see CSCuu46671

The FUS image installation process reboots the Cisco WLC several times and reboots the runtime image. The entire process takes approximately 30 minutes. We recommend that you install the FUS image in a planned outage window.

Highlighted
Beginner

I had a third WLC but its an

I had a third WLC but its an HA model. Anyway, i just uploaded the 8.3 on it and it booted just fine and running it properly. I noticed the difference between this model and the other two models, the only difference is the PIC version. Please see below:

HA model:

Manufacturer's Name.............................. Cisco Systems Inc.
Product Name..................................... Cisco Controller
Product Version.................................. 8.3.102.0
Bootloader Version............................... 1.0.20
Field Recovery Image Version..................... 7.6.101.1
Firmware Version................................. PIC 20.0

Other 2 models:

Manufacturer's Name.............................. Cisco Systems Inc.
Product Name..................................... Cisco Controller
Product Version.................................. 8.0.115.0
Bootloader Version............................... 1.0.20
Field Recovery Image Version..................... 7.6.101.1
Firmware Version................................. PIC 16.0

what would you suggest now? 

Highlighted
VIP Advocate

See my previous post, if you

See my previous post, if you haven't already, upgrade the FUS!

Highlighted
Beginner

I'll do that tonight and will

I'll do that tonight and will let you know. The WLC is in production.

Thank you.

Highlighted
Beginner

I read something on the

I read something on the website. 

"

Upgrade to FUS 2.0 is required if your Cisco WLC has PIC version 1.0.19 and is impacted by CSCuu46671. If the Cisco WLC's PIC version is not 1.0.19, then upgrade to FUS 2.0 is not required.

  • Field Recovery image is upgraded to 8.1.131.9
  • Cisco WLCs with PIC version older than 1.0.18 will not show PIC or Field Recovery Image update when upgraded to FUS 2.0"

Further,

//Pre FUS 2.0.0.0 upgrade:

(Cisco Controller) >show sysinfo

Manufacturer's Name.............................. Cisco Systems Inc.
Product Name..................................... Cisco Controller
Product Version.................................. 8.0.133.0
Bootloader Version............................... 1.0.20
Field Recovery Image Version..................... 7.6.101.1
Firmware Version................................. PIC 20.0


//Post FUS 2.0.0.0 upgrade:

(Cisco Controller) >show sysinfo

Manufacturer's Name.............................. Cisco Systems Inc.
Product Name..................................... Cisco Controller
Product Version.................................. 8.0.133.0
Bootloader Version............................... 1.0.20
Field Recovery Image Version..................... 7.6.101.1
Firmware Version................................. PIC 20.0

As shown by Cisco, PIC 20.0 is obtained prior to upgradation to FUS 2.0, while you may see that all the other information are as mine.

I think PIC 20.0 is obtained through a different way, what do you have to say on that?

Im extremely thankful for your time and support in my case, Patoberli. 

Highlighted
VIP Advocate

Just do the upgrade. There is

Just do the upgrade. There is to much conflicting information around to do otherwise. If it doesn't work, then I'd suggest to open a TAC (contract required) with Cisco, but I'm pretty sure their first suggestion would be to upgrade the FUS.

Highlighted
Beginner

I agree with Patoberli, you

I agree with Patoberli, you need to go back and upgrade the FUS. You probably had very old code and I don't see what you started with as I asked you to send me. If you missed any of the firmware updates, they don't roll up in later releases and you MUST go back and load them from where you left off. You are likely missing 1.7, 1.8 and we know 1.9 is missing.

Highlighted
Beginner

Hello! I didn't see what

Hello! I didn't see what version of bootloader you are running on the controllers. As said earlier in the thread, without the correct bootloader this behavior will occur. I assume you have an old 2504 is you don't have smartnet. I am running

(2504_1) >show sysinfo

Manufacturer's Name.............................. Cisco Systems Inc.
Product Name..................................... Cisco Controller
Product Version.................................. 8.3.102.0
Bootloader Version............................... 1.0.20
Field Recovery Image Version..................... 7.6.101.1

Highlighted
Beginner

I see in your config you are

I see in your config you are running 1.0.20. Scratch my last comment. Let me dig a little deeper.

Highlighted
Beginner

Also, if you don't have a

Also, if you don't have a Cisco contract, where did you get the software from? Did you verify the MD5 hash?

Highlighted
Beginner

Hi, thank you for contacting.

Hi, thank you for contacting.

I do have a Cisco contract but no smartnet over this 2504. Yes, it indeed is an old device. I downloaded the 8.3.102.0 from Cisco.

Boot loader version is 1.0.20

FUS version is PIC 16.0 

I know my boatloader is latest but i have no idea if the FUS is up to date. 

Highlighted
Beginner

Any other suggestions please?

Any other suggestions please?

Im really stucked here.

Highlighted
Not applicable

Did you ever get this solved,

Did you ever get this solved, I'm facing the EXACT same issue!    I'm thinking about upgrading to FUS 2.0 even though nothing says this should fix the issue.

Highlighted
VIP Advocate

Depends on your current FUS.

Depends on your current FUS. If it's older than 1.9, you should upgrade, because they fixed a compactflash error, which causes issues while writing the image to the local storage.

CreatePlease to create content
Content for Community-Ad

Cisco COVID-19 Survey